Subject: Re: bug#16493: 24.3.50; (setq search-invisible t) is useless, let's allow to turn visible-mode temporarily on

From: Noam Postavsky <[email-masked]>
Date: Tue, 30 Apr 2019 08:24:03 -0400

Stefan Monnier <[email-masked]> writes:

>> I was thinking all this complication could be avoided if we just allowed
>> (overlay-put OVERLAY 'invisible nil) to make text visible.
>
> No need for that.

I may have confused things a bit by forgetting to mention I was speaking
of overlays on top of an existing invisible text property (see my reply
to Eli).

> You can do
>
>     (overlay-put OVERLAY 'invisible 'visible)
>
> to get the same result without far-reaching changes to the C code.

Um, no, that gives the opposite effect.

(let ((p (point))
      overlay)
  (insert "(" (propertize "invisible" 'invisible t) ")")
  (setq overlay (make-overlay p (point)))
  ;; All text, including parens, becomes invisible.
  (overlay-put overlay 'invisible 'visible))